org.deidentifier.arx.framework.check.history

## Class MRUCacheEntry<T>

- java.lang.Object
- - org.deidentifier.arx.framework.check.history.MRUCacheEntry<T>

Type Parameters:
  `T` - the generic type

    public class MRUCacheEntry<T>
    extends java.lang.Object

The Class MRUCacheEntry.

Author:
  Fabian Prasser, Florian Kohlmayer

### Field Summary

Fields
`T` `data` The data.
`MRUCacheEntry<T>` `next` The next.
`MRUCacheEntry<T>` `prev` The prev.

### Constructor Summary

Constructors
Constructor and Description
`MRUCacheEntry(T node)` Creates a new instance

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### data

    public final T data

The data.

#### next

    public MRUCacheEntry<T> next

The next.

#### prev

    public MRUCacheEntry<T> prev

The prev.

### Constructor Detail

#### MRUCacheEntry

    public MRUCacheEntry(T node)

Creates a new instance

Parameters:
  `node` - the node